@import '../styles/functions/rem.scss';
@import '../styles/theme.scss';

.page {
    .content {
        width: 100%;

        ul {
            display: flex;
            flex-direction: row;
            flex-wrap: wrap;

            li {
                background: linear-gradient(to bottom, $background-color, $secondary-color);
                box-sizing: border-box;
                flex-basis: 49.5%;
                margin-bottom: 1%;
                @include rem-fallback(height, 150);
                @include rem-fallback(padding, 0,5,5,5);

                &:nth-child(even){
                    margin-left: 0.5%;
                }

                &:nth-child(odd){
                    margin-right: 0.5%;
                }

                a {
                    color: $primary-color;
                    text-decoration: none;
                }

                .content {
                    width: 100%;
                    height: 100%;
                    background-color: $background-color;
                    display: grid;
                    grid-template-columns: 1fr 1fr 1fr 1fr;
                    box-sizing: border-box;
                    @include rem-fallback(padding, 0,10,10,10);

                    &:hover {
                        background-color: $alt-color;
                    }

                    .logo {
                        height: 100%;

                        > div {
                            width: 100%;
                            height: 100%;

                            img {
                                object-fit: contain !important;
                            }
                        }
                    }

                    .info {
                        grid-column: 2 / 5;
                        height: 100%;
                        text-shadow: 1px 1px 1px #000000;
                        

                        @include rem-fallback(padding, 10);

                        .name {
                            @include rem-fallback(font-size, 24);
                            @include rem-fallback(padding-bottom, 10);
                        }

                        .role {
                            @include rem-fallback(font-size, 18);
                            @include rem-fallback(padding-bottom, 10);
                        }

                        .description {
                            overflow: hidden;
                            text-overflow: ellipsis;
                            @include rem-fallback(height, 65);
                        }
                    }

                    .logo, .info {
                        @include rem-fallback(height, 140);
                    }
                }
            }
        }
    }
}

@media all and (max-width: 825px) { 
    .page {
        .content {
            ul {
                li {
                    flex-basis: 100%;

                    &:nth-child(even){
                        margin-left: 0%;
                    }
    
                    &:nth-child(odd){
                        margin-right: 0%;
                    }
                }
            }
        }
    }
}